geos::index::chain::MonotoneChainSelectAction Class Referenceabstract

`#include <MonotoneChainSelectAction.h>`

## Public Member Functions

virtual void | select (const MonotoneChain &mc, std::size_t start)
| This function can be overridden if the original chain is needed.
virtual void | select (const geom::LineSegment &seg)=0

## Protected Attributes

geom::LineSegment | selectedSegment

## Detailed Description

The action for the internal iterator for performing Envelope select queries on a MonotoneChain

## Member Function Documentation

## select()

virtual void geos::index::chain::MonotoneChainSelectAction::select | ( | const geom::LineSegment & | seg | ) |

pure virtual

This is a convenience function which can be overridden to obtain the actual line segment which is selected

Parameters

  seg |

The documentation for this class was generated from the following file:

- MonotoneChainSelectAction.h